# Created by pyp2rpm-3.3.3
%global pypi_name pytest_translations
%global src_name pytest-translations

Name:           python-%{src_name}
Version:        5.0.0
Release:        %mkrel 1
Summary:        Test your translation files
Group:          Development/Python
License:        Apache-2
URL:            https://github.com/Thermondo/pytest-translations
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel

%description
A py.test plugin to check gettext po & mo files.

Test check for:
- Spelling (using enchant & aspell)
- Consistency of mo files
- Obsolete translations
- Fuzzy translations

%package -n     python3-%{src_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{src_name}}


%description -n python3-%{src_name}
A py.test plugin to check gettext po & mo files.

Test check for:
- Spelling (using enchant & aspell)
- Consistency of mo files
- Obsolete translations
- Fuzzy translations

%prep
%autosetup -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pytest_translations


%files -n python3-%{src_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst


%changelog
* Tue Jan 21 2025 papoteur <papoteur> 5.0.0-1.mga10
+ Revision: 2140373
- new version 5.0.0

* Fri Dec 08 2023 wally <wally> 4.0.1-3.mga10
+ Revision: 2015771
- rebuild for py3.12

* Sat Mar 26 2022 umeabot <umeabot> 4.0.1-2.mga9
+ Revision: 1828533
- Mageia 9 Mass Rebuild

* Wed Feb 16 2022 mrambo3501 <mrambo3501> 4.0.1-1.mga9
+ Revision: 1777978
- version 4.0.1
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 2.0.0-3.mga9
+ Revision: 1732368
- Rebuild for python 3.9

* Tue Feb 18 2020 umeabot <umeabot> 2.0.0-2.mga8
+ Revision: 1538958
- Mageia 8 Mass Rebuild

* Thu Nov 28 2019 wally <wally> 2.0.0-1.mga8
+ Revision: 1463458
- imported package python-pytest-translations

